Subject: bug#34710: the mode line flicks on set-window-vscroll

From: Robert Pluim <[email-masked]>
Date: Mon, 04 Mar 2019 10:06:20 +0100

Alan Third <[email-masked]> writes:

> I believe it’s a problem with running redisplay rapidly (sit-for) and
> the way we’re drawing in NS. We end up with macOS demanding a screen
> update, and Emacs unable to deliver due to there being another
> redisplay coming up.
>
> The patch attached to this discussion doesn’t have the problem:
>
> https://lists.gnu.org/archive/html/emacs-devel/2019-02/msg00354.html
>
> However Robert Pluim reported serious performance problems with it. I
> haven’t been able to replicate them.

I can try it again. Perhaps something in my configuration is causing
this.

Robert